package com.supervision.pdfqaserver.constant;

import lombok.Getter;

/**
 * 文档内容类型
 */
@Getter
public enum DocumentContentTypeEnum {

    /**
     * 研报
     */
    REPORT("0", "研报"),

    /**
     * 对话
     */
    DIALOGUE("1", "对话"),

    /**
     * 记录
     */
    RECORD("2", "记录");


    DocumentContentTypeEnum(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    private final String type;

    private final String desc;

    public static String formatToString() {
        StringBuilder sb = new StringBuilder();
        for (DocumentContentTypeEnum value : values()) {
            sb.append(value.getType()).append(":").append(value.getDesc()).append(" ");
        }
        return sb.toString();
    }

    public static DocumentContentTypeEnum getByType(String type) {
        for (DocumentContentTypeEnum value : values()) {
            if (value.getType().equals(type)) {
                return value;
            }
        }
        return null;
    }
}
