package com.supervision.pdfqaserver.controller;

import com.supervision.pdfqaserver.dto.R;
import com.supervision.pdfqaserver.service.TaskService;
import com.supervision.pdfqaserver.vo.PdfToMdFinishReqVo;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/notify")
@RequiredArgsConstructor
public class NotifyController {

    private final TaskService taskService;

    /**
     * pdf 转化完成通知回调
     * @param pdfToMdFinishReqVo pdfToMdFinishReqVo
     * @return
     */
    @PostMapping("/pdf-to-md/finish")
    public R<String> pfdToMdFinished(@RequestBody PdfToMdFinishReqVo pdfToMdFinishReqVo) {

        log.info("pdf转化完成通知回调, pdfId:{}, processStatus:{}", pdfToMdFinishReqVo.getPdfId(), pdfToMdFinishReqVo.getProcessStatus());
        if ("2".equals(pdfToMdFinishReqVo.getProcessStatus())) {
            taskService.submitGenerateTask(pdfToMdFinishReqVo.getPdfId());
        }
        return R.ok("success");
    }

}
