package com.supervision.pdfqaserver.domain;

import com.baomidou.mybatisplus.annotation.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 文档切分表
 * @TableName document_truncation
 */
@TableName(value ="document_truncation")
@Data
public class DocumentTruncation implements Serializable {
    /**
     * 
     */
    @TableId
    private String id;

    /**
     * 文档id(pdf_info表的id)
     */
    private Integer documentId;

    /**
     * 段落id pdf_analysis_output表的id
     */
    private Integer sectionId;

    /**
     * 布局类型 0-文本 1-表格
     */
    private String layoutType;

    private String title;

    /**
     * 片段内容
     */
    private String content;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}