package com.supervision.pdfqaserver.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 领域类别表
 * @TableName domain_category
 */
@TableName(value ="domain_category")
@Data
public class DomainCategory implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 行业分类
     */
    private String industryName;

    /**
     * 父级id
     */
    private String parentId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}