package com.supervision.pdfqaserver.domain;

import com.baomidou.mybatisplus.annotation.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 领域元数据
 * @TableName domain_metadata
 */
@TableName(value ="domain_metadata")
@Data
public class DomainMetadata implements Serializable {
    /**
     * 
     */
    @TableId
    private String id;

    /**
     * 领域类型
     */
    private String domainType;

    /**
     * 头节点类型
     */
    private String sourceType;

    /**
     * 关系
     */
    private String relation;

    /**
     * 尾节点类型
     */
    private String targetType;

    /**
     * 数据来源：0=手动录入，1=系统自动
     */
    private String generationType;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    /**
     * 领域分类id
     */
    private String domainCategoryId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}