package com.supervision.pdfqaserver.domain;

import com.baomidou.mybatisplus.annotation.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 实体关系属性表
 * @TableName er_attribute
 */
@TableName(value ="er_attribute")
@Data
public class ErAttribute implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 领域分类id
     */
    private String domainMetadataId;

    /**
     * 属性名
     */
    private String attrName;

    /**
     * 属性值类型
     */
    private String attrValueType;

    /**
     * 节点 1 关系 2
     */
    private String erType;


    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}