package com.supervision.pdfqaserver.domain;

import com.baomidou.mybatisplus.annotation.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 *  一个digest 和一个 domainCategoryId 组成一个意图
 * @TableName intention 意图表
 */
@TableName(value ="intention")
@Data
public class Intention implements Serializable {
    /**
     * 意图表
     */
    @TableId
    private String id;

    /**
     * 摘要
     */
    private String digest;

    /**
     * 描述详情
     */
    private String desc;

    /**
     * 领域分类id
     */
    private String domainCategoryId;


    /**
     * 数据来源：0=手动录入，1=系统自动
     */
    private String generationType;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}