package com.supervision.pdfqaserver.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 
 * @TableName pdf_analysis_output
 */
@TableName(value ="pdf_analysis_output")
@Data
public class PdfAnalysisOutput implements Serializable {
    /**
     * 
     */
    @TableId
    private Integer id;

    /**
     * 0-文本 1-表格
     */
    private Integer layoutType;

    /**
     * pdf段落内容
     */
    private String content;

    /**
     * pdf页码
     */
    private Integer pageNo;

    /**
     * pdf_info表的主键
     */
    private Integer pdfId;

    /**
     * 表格标题
     */
    private String tableTitle;

    /**
     * 内容在pdf页面中的顺序，越小表示顺序越靠前
     */
    private Integer displayOrder;

    /**
     * 
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}