package com.supervision.pdfqaserver.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * pdf信息
 * @TableName pdf_info
 */
@TableName(value ="pdf_info")
@Data
public class PdfInfo implements Serializable {
    /**
     * 
     */
    private Integer id;

    /**
     * pdf路径
     */
    private String path;

    /**
     * 文件名
     */
    private String filename;

    /**
     * 处理状态 0:未分析 1：正在分析 2：分析成功 3：分析失败 4：开始数据抽取 5：抽取成功 6：抽取失败
     */
    private int processStatus;

    /**
     * 开始分析时间
     */
    private LocalDateTime analysisStartTime;


    /**
     * 分析结束时间
     */
    private LocalDateTime analysisEndTime;

    /**
     * 开始抽取时间
     */
    private LocalDateTime extractionStartTime;

    /**
     * 结束抽取时间
     */
    private LocalDateTime extractionEndTime;


    /**
     * 训练状态 0:开始训练 1：训练成功 2：训练失败
     */
    private Integer trainStatus;

    /**
     * 开始训练时间
     */
    private LocalDateTime trainStartTime;

    /**
     * 结束训练时间
     */
    private LocalDateTime trainEndTime;

    /**
     * 领域分类id
     */
    private String domainCategoryId;

    /**
     * 文档内容类型  0:研报 1：对话
     */
    private String contentType;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}