package com.supervision.pdfqaserver.domain;

import com.baomidou.mybatisplus.annotation.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 片段实体抽取
 * @TableName truncation_entity_extraction
 */
@TableName(value ="truncation_entity_extraction")
@Data
public class TruncationEntityExtraction implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 片段id document_truncation表的id
     */
    private String truncationId;

    /**
     * 标签(实体类型)
     */
    private String entity;

    /**
     * 实体名
     */
    private String name;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}