package com.supervision.pdfqaserver.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 实体表
 * @TableName truncation_er_attribute
 */
@TableName(value ="truncation_er_attribute")
@Data
public class TruncationErAttribute implements Serializable {
    /**
     * 
     */
    @TableId
    private String id;

    /**
     * 片段实体属性表 既可以是truncation_entity_extraction表id也可以是truncation_relation_extraction表id
     */
    private String terId;

    /**
     * 类型 0：terId关联的id为实体 1：terId关联的id为关系
     */
    private String associationType;

    /**
     * 实体名
     */
    private String attribute;

    /**
     * 值
     */
    private String value;

    /**
     * 数据类型 0：字符串 1：数字
     */
    private String dataType;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}