package com.supervision.pdfqaserver.domain;

import com.baomidou.mybatisplus.annotation.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 片段关系抽取
 * @TableName truncation_relation_extraction
 */
@TableName(value ="truncation_relation_extraction")
@Data
public class TruncationRelationExtraction implements Serializable {
    /**
     * 
     */
    @TableId
    private String id;

    /**
     * 
     */
    private String truncationId;

    /**
     * 头节点
     */
    private String source;

    /**
     * 头节点类型
     */
    private String sourceType;

    /**
     * 尾节点
     */
    private String target;

    /**
     * 尾节点类型
     */
    private String targetType;

    /**
     * 关系
     */
    private String relation;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}