package com.supervision.pdfqaserver.dto;

import com.supervision.pdfqaserver.domain.PdfAnalysisOutput;
import lombok.Data;

/**
 * 文档内容
 */
@Data
public class DocumentDTO {

    /**
     * 文档id
     */
    private String id;

    /**
     * 段落id
     */
    private Integer sectionId;

    private Integer pageNo;

    /**
     * 内容类型 0：文本 1：表格
     */
    private Integer layoutType;

    /**
     * 内容在pdf页面中的顺序，越小表示顺序越靠前
     */
    private Integer displayOrder;

    private String title;

    /**
     * 文档内容
     */
    private String content;

    /**
     * 文档页码
     */
    private Integer pageNum;



    public DocumentDTO() {
    }

    public DocumentDTO(PdfAnalysisOutput pdfAnalysisOutput) {
        this.id = pdfAnalysisOutput.getId().toString();
        this.sectionId = pdfAnalysisOutput.getId();
        this.layoutType = pdfAnalysisOutput.getLayoutType();
        this.pageNo = pdfAnalysisOutput.getPageNo();
        this.title = pdfAnalysisOutput.getTableTitle();
        this.content = pdfAnalysisOutput.getContent();
        this.displayOrder = pdfAnalysisOutput.getDisplayOrder();

    }

}
