package com.supervision.pdfqaserver.dto;

import com.supervision.pdfqaserver.domain.TruncationEntityExtraction;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 实体抽取
 */
@Data
public class EntityExtractionDTO {

    private String id;

    private String truncationId;

    /**
     * 实体标签
     */
    private String entity;

    /**
     * 实体英文名
     */
    private String entityEn;

    /**
     * 实体名
     */
    private String name;

    private List<TruncationERAttributeDTO> attributes = new ArrayList<>();

    public EntityExtractionDTO() {
    }

    public EntityExtractionDTO(TruncationEntityExtraction entityExtraction) {
        this.id = entityExtraction.getId();
        this.truncationId = entityExtraction.getTruncationId();
        this.entity = entityExtraction.getEntity();
        this.name = entityExtraction.getName();
    }

    public EntityExtractionDTO(String truncationId, String entity, String name, List<TruncationERAttributeDTO> attributes) {
        this.truncationId = truncationId;
        this.entity = entity;
        this.name = name;
        this.attributes = attributes;
    }
}
