package com.supervision.pdfqaserver.service;

import com.supervision.pdfqaserver.domain.DocumentTruncation;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.pdfqaserver.dto.TruncateDTO;

import java.util.List;

/**
* @author Administrator
* @description 针对表【document_truncation(文档切分表)】的数据库操作Service
* @createDate 2025-04-27 11:45:24
*/
public interface DocumentTruncationService extends IService<DocumentTruncation> {


    void batchSave(List<TruncateDTO> truncateDTOS);

    void deleteByDocumentId(String documentId);

    void deleteByDocumentIds(List<String> documentIds);

    List<DocumentTruncation> queryByDocumentId(String documentId);

    List<DocumentTruncation> queryByDocumentIds(List<String> documentIds);

    List<DocumentTruncation> queryNotERETruncate(List<String> documentIds);


    List<DocumentTruncation> listByPdfId(Integer pdfId);
}
