package com.supervision.pdfqaserver.service;

import com.supervision.pdfqaserver.domain.DomainMetadata;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.pdfqaserver.dto.DomainMetadataDTO;
import java.util.List;

/**
* @author Administrator
* @description 针对表【domain_metadata(领域元数据)】的数据库操作Service
* @createDate 2025-04-27 11:45:24
*/
public interface DomainMetadataService extends IService<DomainMetadata> {


    /**
     * 由于领域元数据表中加入了行业分类ID，所以该方法已不再使用
     * 建议使用 saveIfNotExists(DomainMetadata metadata,String domainCategoryId)
     * @param metadata
     */
    @Deprecated(since = "v_0.0.2")
    void saveIfNotExists(DomainMetadata metadata);


    void saveIfNotExists(DomainMetadata metadata, String domainCategoryId);


    /**
     * 批量保存或更新领域元数据
     * @param metadatas
     * @param intentionId
     * @param domainCategoryId
     */
    void batchSaveOrUpdateMetadata(List<DomainMetadataDTO> metadatas,String intentionId,String domainCategoryId);
    
    void completeSave(DomainMetadataDTO domainMetadataDTO);

    /**
     * 根据主键查询数据
     * @param sourceType 源类型
     * @param targetType 目标类型
     * @param relation 关系
     * @param domainCategoryId 行业分类ID
     * @return
     */
    DomainMetadata getByPrimaryKey(String sourceType, String targetType, String relation,String domainCategoryId);


    /**
     * 根据意图ID查询领域元数据
     * @param intentionIds 意图ID
     * @return
     */
    List<DomainMetadataDTO> listByIntentionIds(List<String> intentionIds);
}
