package com.supervision.pdfqaserver.service;

import cn.hutool.core.util.StrUtil;
import com.supervision.pdfqaserver.domain.Intention;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
* @author Administrator
* @description 针对表【intention】的数据库操作Service
* @createDate 2025-05-14 15:23:54
*/
public interface IntentionService extends IService<Intention> {


    /**
     * 保存意图
     * @param intents 意图
     * @param domainCategoryId 行业分类ID
     *@param truncateId 分片id
     * @return
     */
    List<Intention> batchSaveIfAbsent(List<String> intents, String domainCategoryId, String truncateId);

    /**
     * 查询意图
     * digest 意图 + 行业分类ID domainCategoryId = 唯一
     * @param digest 意图
     * @param domainCategoryId 行业分类ID
     * @return
     */
    Intention queryByDigestAndDomainCategoryId(String digest, String domainCategoryId);

    List<Intention> queryByDomainCategoryId(String domainCategoryId);
}
