package com.supervision.pdfqaserver.service;

import com.supervision.pdfqaserver.dto.EREDTO;
import com.supervision.pdfqaserver.dto.TruncateDTO;
import java.util.List;

/**
 * 知识图谱服务接口
 */
public interface KnowledgeGraphService {


    /**
     * 生成知识图谱
     * @param pdfId 文档ID
     */
    void generateGraph(String pdfId);

    /**
     * 元数据训练
     * @param pdfId pdfId
     */
    void metaDataTrain(Integer pdfId);


    /**
     * 基于训练结果生成知识图谱
     * @param pdfId pdfId
     */
    void generateGraphBaseTrain(Integer pdfId);


    /**
     * 获取三元组转换管道
     * @param contentType 文档内容类型
     * @param industry 行业
     * @return
     */
    TripleConversionPipeline getTripleConversionPipeline(String contentType,String industry);

    void generateGraph(List<EREDTO> eredtoList);

    List<EREDTO> truncateERE(List<TruncateDTO> truncateDTOS);


    /**
     * 重置图数据
     * @param pdfId pdfId
     */
    void resetGraphData(String pdfId);


    void queryGraph(String databaseId, String query);


    void saveERE(EREDTO eredto, String truncationId);

    List<EREDTO> listPdfEREDTO(String pdfId);
}
