package com.supervision.pdfqaserver.service;

import com.supervision.pdfqaserver.dto.EREDTO;

/**
 * 三元组转换为Cypher语句的执行器
 */
public interface TripleToCypherExecutor {

    /**
     * 生成Cypher语句
     * @param eredto
     * @return
     */
    String generateInsertCypher(EREDTO eredto);


    /**
     * 生成查询Cypher语句
     * @param query
     * @return
     */
    String generateQueryCypher(String query);

    /**
     * 执行Cypher语句
     * @param cypher
     * @return
     */
    void executeCypher(String cypher);

    void saveERE(EREDTO eredto);
}
