package com.supervision.pdfqaserver.service.impl;

import cn.hutool.core.util.StrUtil;
import com.supervision.pdfqaserver.cache.PromptCache;
import com.supervision.pdfqaserver.service.ChinesEsToEnglishGenerator;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.ai.ollama.OllamaChatModel;
import org.springframework.stereotype.Service;
import static com.supervision.pdfqaserver.cache.PromptCache.CHINESE_TO_ENGLISH;

@Slf4j
@Service
@RequiredArgsConstructor
public class ChinesEsToEnglishGeneratorImpl implements ChinesEsToEnglishGenerator {

    private final OllamaChatModel ollamaChatModel;
    @Override
    public String generate(String chinese) {
        log.info("generate:开始翻译: {}",chinese);
        String prompt = PromptCache.promptMap.get(CHINESE_TO_ENGLISH);
        String format = StrUtil.format(prompt, chinese);
        String response = ollamaChatModel.call(format);
        log.info("generate:chinese:{}翻译结果: {}",chinese,response);
        return response;
    }
}
