package com.supervision.pdfqaserver.service.impl;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.pdfqaserver.domain.ChineseEnglishWords;
import com.supervision.pdfqaserver.service.ChineseEnglishWordsService;
import com.supervision.pdfqaserver.mapper.ChineseEnglishWordsMapper;
import org.springframework.stereotype.Service;
import java.util.List;

/**
* @author Administrator
* @description 针对表【chinese_english_words(中英文对照字典)】的数据库操作Service实现
* @createDate 2025-04-27 11:45:24
*/
@Service
public class ChineseEnglishWordsServiceImpl extends ServiceImpl<ChineseEnglishWordsMapper, ChineseEnglishWords>
    implements ChineseEnglishWordsService{

    @Override
    public List<ChineseEnglishWords> queryAll() {
        return this.list();
    }

    @Override
    public boolean wordsExists(String word, List<ChineseEnglishWords> wordsList) {
        if (StrUtil.isEmpty(word)){
            return true;
        }
        return wordsList.stream().anyMatch(w->StrUtil.equals(w.getChineseWord(),word));
    }

    @Override
    public void saveIfNotExists(ChineseEnglishWords words) {
        boolean exists = this.lambdaQuery().eq(ChineseEnglishWords::getChineseWord, words.getChineseWord()).exists();
        if (!exists){
            this.save(words);
        }
    }
}




