package com.supervision.pdfqaserver.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.pdfqaserver.domain.DomainCategory;
import com.supervision.pdfqaserver.service.DomainCategoryService;
import com.supervision.pdfqaserver.mapper.DomainCategoryMapper;
import org.springframework.stereotype.Service;
import java.util.List;
import java.util.stream.Collectors;

/**
* @author Administrator
* @description 针对表【domain_category(领域类别表)】的数据库操作Service实现
* @createDate 2025-05-14 15:23:54
*/
@Service
public class DomainCategoryServiceImpl extends ServiceImpl<DomainCategoryMapper, DomainCategory>
    implements DomainCategoryService{

    @Override
    public DomainCategory queryByIndustryName(String industryName) {
        return this.lambdaQuery().eq(DomainCategory::getIndustryName, industryName)
                .one();
    }

    @Override
    public List<String> listAllIndustryNames() {
        return super.lambdaQuery().select(DomainCategory::getIndustryName)
                .list().stream().map(DomainCategory::getIndustryName).collect(Collectors.toList());
    }
}




