package com.supervision.pdfqaserver.service.impl;

import cn.hutool.core.lang.Assert;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.pdfqaserver.domain.IntentionTruncation;
import com.supervision.pdfqaserver.service.IntentionTruncationService;
import com.supervision.pdfqaserver.mapper.IntentionTruncationMapper;
import org.springframework.stereotype.Service;

/**
* @author Administrator
* @description 针对表【intention_truncation】的数据库操作Service实现
* @createDate 2025-05-14 15:23:54
*/
@Service
public class IntentionTruncationServiceImpl extends ServiceImpl<IntentionTruncationMapper, IntentionTruncation>
    implements IntentionTruncationService{

    @Override
    public void saveIfAbsent(String intentionId, String truncateId) {
        Assert.notEmpty(intentionId, "意图ID不能为空");
        Assert.notEmpty(truncateId, "分片ID不能为空");
        IntentionTruncation intentionTruncation = this.lambdaQuery().eq(IntentionTruncation::getIntentionId, intentionId)
                .eq(IntentionTruncation::getTruncateId, truncateId).one();
        if (null == intentionTruncation){
            IntentionTruncation truncation = new IntentionTruncation();
            truncation.setIntentionId(intentionId);
            truncation.setTruncateId(truncateId);
            this.save(truncation);
        }
    }
}




