package com.supervision.pdfqaserver.service.impl;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.supervision.pdfqaserver.domain.TruncationErAttribute;
import com.supervision.pdfqaserver.service.TruncationErAttributeService;
import com.supervision.pdfqaserver.mapper.TruncationErAttributeMapper;
import org.springframework.stereotype.Service;
import java.util.ArrayList;
import java.util.List;

/**
* @author Administrator
* @description 针对表【truncation_er_attribute(实体表)】的数据库操作Service实现
* @createDate 2025-04-27 11:45:24
*/
@Service
public class TruncationErAttributeServiceImpl extends ServiceImpl<TruncationErAttributeMapper, TruncationErAttribute>
    implements TruncationErAttributeService{

    @Override
    public void deleteByTerId(String terId) {
        if (StrUtil.isEmpty(terId)){
            return;
        }

        this.lambdaUpdate().eq(TruncationErAttribute::getTerId, terId).remove();
    }

    @Override
    public void deleteByTerIds(List<String> terIds) {
        if (CollUtil.isEmpty(terIds)){
            return;
        }
        this.lambdaUpdate().in(TruncationErAttribute::getTerId, terIds).remove();
    }

    @Override
    public List<TruncationErAttribute> queryByTerIds(List<String> terIds) {
        if (CollUtil.isEmpty(terIds)){
            return new ArrayList<>();
        }
        return this.lambdaQuery().in(TruncationErAttribute::getTerId, terIds).list();
    }
}




