package com.supervision.pdfqaserver.thread;

import cn.hutool.core.thread.ExecutorBuilder;
import cn.hutool.core.thread.ThreadFactoryBuilder;
import jakarta.annotation.PostConstruct;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.LinkedBlockingQueue;

/**
 * 知识图谱生成线程池
 */
@Slf4j
@Component
public class KnowledgeGraphGenerateTreadPool {

    @Value("${graph.generate.thread-pool.core:1}")
    private int core;

    @Value("${graph.generate.thread-pool.max:1}")
    private int max;
    public static ExecutorService executorService;

    @PostConstruct
    public void init() {
        log.info("knowledgeGraphGenerateTreadPool线程池初始化。线程数：{}", core);
        executorService = ExecutorBuilder.create()
                .setCorePoolSize(core).setMaxPoolSize(max)
                .setWorkQueue(new LinkedBlockingQueue<>(1024))
                .setThreadFactory(ThreadFactoryBuilder.create().setNamePrefix("graphGenerate").build())
                .build();
    }
}
